# MONITORS #
monitor=eDP-1,1920x1080,auto,1.3333

$terminal = kitty
$fileManager = nemo

exec-once = waybar & awww-daemon & swaync 
exec-once = ~/.config/hypr/wallpaper.restore.sh

env = XCURSOR_SIZE,24
env = HYPRCURSOR_SIZE,24

 permission = /usr/(bin|local/bin)/grim, screencopy, allow
 permission = /usr/(lib|libexec|lib64)/xdg-desktop-portal-hyprland, screencopy, allow
 permission = /usr/(bin|local/bin)/hyprpm, plugin, allow

general {
    gaps_in = 3
    gaps_out = 6

    border_size = 1

    col.active_border = rgba(171,189,245,1) rgba(171,189,245,1) 90deg
    col.inactive_border = rgba(95,120,200,1)

    resize_on_border = true

    allow_tearing = true

    layout = dwindle
}
decoration {
    rounding = 5
    rounding_power = 2

    active_opacity = 0.95
    inactive_opacity = 0.90
    shadow {
        enabled = true
        range = 4
        render_power = 3
        color = rgba(1a1a1aee)
    }

    blur {
        enabled = true
        size = 3
        passes = 1

        vibrancy = 0.1696
    }
}

animations {
    enabled = true


    #        NAME,           X0,   Y0,   X1,   Y1
    bezier = easeOutQuint,   0.23, 1,    0.32, 1
    bezier = easeInOutCubic, 0.65, 0.05, 0.36, 1
    bezier = linear,         0,    0,    1,    1
    bezier = almostLinear,   0.5,  0.5,  0.75, 1
    bezier = quick,          0.15, 0,    0.1,  1

    #           NAME,          ONOFF, SPEED, CURVE,        [STYLE]
    animation = global,        1,     10,    default
    animation = border,        1,     5.39,  easeOutQuint
    animation = windows,       1,     4.79,  easeOutQuint
    animation = windowsIn,     1,     4.1,   easeOutQuint, slidefade 90
    animation = windowsOut,    1,     2.2,   easeOutQuint, slidefade 270
    animation = fadeIn,        1,     1.73,  almostLinear
    animation = fadeOut,       1,     1.46,  almostLinear
    animation = fade,          1,     3.03,  quick
    animation = layers,        1,     3.81,  easeOutQuint, fade
    animation = layersIn,      1,     2,     easeOutQuint, slide
    animation = layersOut,     1,     2,     easeOutQuint, slide 
    animation = fadeLayersIn,  1,     1.79,  almostLinear
    animation = fadeLayersOut, 1,     1.39,  almostLinear
    animation = workspaces,    1,     1.94,  easeInOutCubic, slide
    animation = workspacesIn,  1,     1.21,  easeInOutCubic, slide
    animation = workspacesOut, 1,     1.94,  easeInOutCubic, slide
    animation = zoomFactor,    1,     7,     quick
}

dwindle {
    pseudotile = true 
    preserve_split = true 
}

master {
    new_status = master
}

misc {
    force_default_wallpaper = 0
    disable_hyprland_logo = true
    disable_splash_rendering = true
}



input {
    kb_layout = de
    kb_variant =
    kb_model =
    kb_options =
    kb_rules =

    follow_mouse = 1

    sensitivity = 0 .

    touchpad {
        natural_scroll = false
    }
}

gesture = 3, horizontal, workspace

device {
    name = epic-mouse-v1
    sensitivity = -0.5
}


$mainMod = SUPER 

bind = $mainMod, Return, exec, $terminal
bind = $mainMod, Q, killactive,^
bind = $mainMod, E, exec, $fileManager
bind = $mainMod, D, exec, pkill wofi || wofi --show drun
bind = $mainMod, J, togglesplit, # dwindle
bind = $mainMod, F, exec, firefox
bind = $mainMod, K, fullscreen 
bind = $mainMod, L, exec, hyprlock
bind = $mainMod, P, exec, /home/denode/.config/waybar/scripts/power.sh
bind = $mainMod SHIFT, S, exec, grim -g "$(slurp)" - | swappy -f -
bind = $mainMod, N, exec, swaync-client -t -sw
bind = $mainMod SHIFT, N, exec, swaync-client -d -sw
bind = $mainMod, T, exec, gnome-text-editor
bind = $mainMod, left, movefocus, l
bind = $mainMod, right, movefocus, r
bind = $mainMod, up, movefocus, u
bind = $mainMod, down, movefocus, d
bind = $mainMod, M, exec, thunderbird
bind = $mainMod, S, exec, signal-desktop
bind = $mainMod, 1, workspace, 1
bind = $mainMod, 2, workspace, 2
bind = $mainMod, 3, workspace, 3
bind = $mainMod, 4, workspace, 4
bind = $mainMod, 5, workspace, 5
bind = $mainMod, 6, workspace, 6
bind = $mainMod, 7, workspace, 7
bind = $mainMod, 8, workspace, 8
bind = $mainMod, 9, workspace, 9
bind = $mainMod, 0, workspace, 10

bind = $mainMod SHIFT, 1, movetoworkspace, 1
bind = $mainMod SHIFT, 2, movetoworkspace, 2
bind = $mainMod SHIFT, 3, movetoworkspace, 3
bind = $mainMod SHIFT, 4, movetoworkspace, 4
bind = $mainMod SHIFT, 5, movetoworkspace, 5
bind = $mainMod SHIFT, 6, movetoworkspace, 6
bind = $mainMod SHIFT, 7, movetoworkspace, 7
bind = $mainMod SHIFT, 8, movetoworkspace, 8
bind = $mainMod SHIFT, 9, movetoworkspace, 9
bind = $mainMod SHIFT, 0, movetoworkspace, 10

bind = $mainMod, mouse_down, workspace, e+1
bind = $mainMod, mouse_up, workspace, e-1

bindm = $mainMod, mouse:272, movewindow
bindm = $mainMod, mouse:273, resizewindow

bindel = ,XF86AudioRaiseVolume, exec, wpctl set-volume -l 1 @DEFAULT_AUDIO_SINK@ 5%+
bindel = ,XF86AudioLowerVolume, exec, wpctl set-volume @DEFAULT_AUDIO_SINK@ 5%-
bindel = ,XF86AudioMute, exec, wpctl set-mute @DEFAULT_AUDIO_SINK@ toggle
bindel = ,XF86AudioMicMute, exec, wpctl set-mute @DEFAULT_AUDIO_SOURCE@ toggle
bindel = ,XF86MonBrightnessUp, exec, brightnessctl -e4 -n2 set 5%+
bindel = ,XF86MonBrightnessDown, exec, brightnessctl -e4 -n2 set 5%-
bindl = , XF86AudioNext, exec, playerctl next
bindl = , XF86AudioPause, exec, playerctl play-pause
bindl = , XF86AudioPlay, exec, playerctl play-pause
bindl = , XF86AudioPrev, exec, playerctl previous
bindl = ,switch:on:Lid Switch, exec, hyprlock
# own things lol 

bind = ,XF86Display, exec, blueman-manager
bind = ,XF86Tools, exec, kitty
bind = ,XF86Search, exec, pkill wofi || wofi --show drun
bind = ,XF86LaunchA, exec, nwg-displays
bind = ,XF86Explorer,  exec, grim -g "$(slurp)" - | swappy -f -
bind = SUPER SHIFT, V, exec, cliphist list | rofi -dmenu | cliphist decode | wl-copy
bind = $mainMod, B, exec, ~/.local/bin/wallpaper-picker
windowrule {
    name = supress-maximize-events
    match:class = .*
    suppress_event = maximize 
}

windowrule {
    name = fix-xwayland-drags
    match:class = ^$
    match:title = ^$
    match:xwayland = true 
    match:float = true
    match:fullscreen = false
    match:pin = false 

    no_focus = true
}

xwayland{force_zero_scaling=true}
windowrule {
    name = move-hyprland-rounding
    match:class = hyprland-run
    move = 20 monitor_h-120
    float = yes
}

exec-once = blueman-applet
